#execute:
#sed -f s5.sed Categories_package.sorted | sort > xxx
#mv xxx Categories_package.sorted
#./s6
# now called from s6


# first of all: delete some categories
s/^ //
s/^Application;//

s/GTK;GNOME;/GNOME;GTK;/
s/GNOME;//
s/GNOME//
s/^GTK; /G_T_K; /
s/GTK;//

s/KDE;//
s/Qt;//
s/Motif;//
s/X-XFCE;//
s/X-Xfce-Toplevel;//
s/ConsoleOnly;//

# second: change some sequences
s/3DGraphics;Graphics;/Graphics;3DGraphics;/
s/BoardGame;Game;/Game;BoardGame;/
s/Audio;AudioVideo;/AudioVideo;Audio;/
s/Video;AudioVideo;/AudioVideo;Video;/
s/^ArcadeGame;Game;/Game;ArcadeGame;/
s/Game;ActionGame;ArcadeGame;/Game;ArcadeGame;/
s/Game;ActionGame;Simulation;/Game;ActionGame;/
s/Game;AdventureGame;ArcadeGame;RolePlaying;/Game;AdventureGame;/
s/Audio;AudioVideoEditing;/AudioVideoEditing;/
s/AudioVideoEditing;Music;/AudioVideoEditing;/
s/Audio;Recorder;/Audio;/ # more special
s/Audio;Music;/Audio;/ # both are _sound
s/AudioVideo;Audio;Midi;/AudioVideo;Midi;/ # special
s/AudioVideo;Audio;Sequencer;/AudioVideo;Sequencer;/ # special
s/AudioVideo;Audio;Video; /AudioVideo; / #
s/AudioVideo;X-Ximian-Main;X-Red-Hat-Base; /AudioVideo; /
s/AudioVideo;Video;AudioVideoEditing;/AudioVideo;AudioVideoEditing;/
s/AudioVideo;Video;Player;/AudioVideo;Player;/
s/AudioVideo;Player;Video;/AudioVideo;Player;/
s/AudioVideo;Audio;Mixer;/AudioVideo;Mixer;/
s/AudioVideo;AudioVideoEditing;Player;/AudioVideo;AudioVideoEditing;/
s/Audio;Mixer;AudioVideo;/AudioVideo;Mixer;/
s/Audio;Player;AudioVideo;/AudioVideo;Player;/
s/AudioVideo;.*;Sequencer;.* /AudioVideo;Sequencer; /
s/Player;Audio;/Audio;/
s/WordProcessor;Office;/Office;WordProcessor;/
s/Viewer;Graphics;/Graphics;Viewer;/

# third: categories
s/^Game;Blocks.* /Fun_Sub /
s/^Game;Simulation; /Fun_Sub /
s/^Game;Sports.* /Fun_Sub /
s/^Game;Strategy.* /Fun_puzzle /
s/^Game;ActionGame;.* /Fun_adventure /
s/^Game;RolePlaying; /Fun_adventure /
s/^Game;Adventure.* /Fun_adventure /
s/^Game;Arcade.* /Fun_arcade /
s/^Game;Board.* /Fun_boardgame /
s/^Game;Card.* /Fun_cardgame /
s/^Game;Logic.* /Fun_puzzle /
s/^Game; /Fun_Sub /
s/.*LogicGame.* /Fun_puzzle /  # Game;KidsGame;LogicGame; anagramarama
s/.*KidsGame.* /Fun_Sub / # Education;KidsGame pysycache

s/AudioVideo;Recorder; /Multimedia_Sub /
s/AudioVideo;Player; /Multimedia_mediaplayer /
s/AudioVideo;Audio;Player; /Multimedia_mediaplayer /
s/AudioVideo;Tuner; /Multimedia_audiovideo /
s/Tuner;Audio.* /Multimedia_audiovideo /
s/AudioVideo;AudioVideoEditing; /Multimedia_audiovideo /
s/AudioVideo;Audio; /Multimedia_sound /
s/AudioVideo;Music; /Multimedia_sound /
s/AudioVideo;Midi; /Multimedia_sound /
s/AudioVideo;Mixer; /Multimedia_sound /
s/AudioVideo;Sequencer; /Multimedia_sound /
s/AudioVideo;Video; /Multimedia_video /
s/AudioVideo;TV; /Multimedia_video /
s/AudioVideo;DiscBurning; /Multimedia_optical /
s/Utility;DiscBurning; /Multimedia_optical /
s/^AudioVideo;Utility; /Multimedia_utility /
s/^AudioVideo; /Multimedia_Sub /
s/.*AudioVideoEditing.* /Multimedia_audiovideo /

s/^3DGraphics; /Graphic_Sub /
s/^Graphics;2DGraphics; /Graphic_Sub /
s/^Graphics;3DGraphics; /Graphic_Sub /
s/^Graphics;X-Graphic; /Graphic_Sub /
s/.*RasterGraphics.* /Graphic_paint / #Graphics;2DGraphics;RasterGraphics; mypaint
s/.*VectorGraphics.* /Graphic_draw /
s/.*Photography.* /Graphic_camera / #Graphics;Viewer;Photography; shotwell-viewer
s/.*Graphics;Viewer.* /Graphic_viewer /
s/^Graphics;Scanning; /Graphic_scanner /
s/^Graphics; /Graphic_Sub / # joker at last

s/.*Dialup.* /Network_phone /
s/.*HamRadio.* /Network_connect /
s/.*RemoteAccess.* /Network_connect /

s/.*X-Internet.* /Internet_Sub /
s/.*WebBrowser.* /Internet_browser /
s/^Network;Chat; /Internet_chat /
s/^Network;InstantMessaging; /Internet_chat /
s/.*VideoConference.* /Internet_chat / # Network;Telephony;VideoConference; qutecom
s/^Network;Email; /Internet_mailnews /
s/^Network;News; /Internet_mailnews /
s/^Network;Telephony; /Internet_transfer /
s/^Network;IRCClient; /Internet_transfer /
s/^Network;FileTransfer; /Internet_transfer /
s/.*P2P.* /Internet_transfer /
#network has to be split into puppy's network and puppy's internet


s/.*Settings;HardwareSettings.* /System_Sub /
s/.*DesktopSettings.* /Desktop_appearance /
s/.*Accessibility.* /Desktop_settings /

s/.*HardwareSettings;Monitor.* /System_process /
s/^System;Monitor; /System_process /
s/^System;Security; /System_security /

s/.*Education.* /Personal_education /

s/^System;Emulator; /Utility_Sub /
s/.*Engineering.* /Utility_Sub /
s/.*Electronics.* /Utility_Sub /
s/Development;RevisionControl; /Utility_development /
s/Development;Translation; /Utility_development /
s/Development;GUIDesigner; /Utility_development /
s/Development;ProjectManagement; /Utility_development /
s/Development;Profiling; /Utility_development /
s/Development;Debugger; /Utility_development /
s/Development;IDE; /Utility_development /
s/Development;Building; /Utility_development /
s/.*Utility;Translation.* /Utility_development /
s/Development;Engineering; /Utility_Sub /
s/.*Archiving.* /Utility_package /
s/.*TerminalEmulator.* /Utility_shell /
s/.*Shell.* /Utility_shell /
s/.*Documentation.* /Utility_help /

s/^Utility;TextEditor; /Document_edit /
s/^Office;TextEditor; /Document_edit /
s/^Office;Viewer.* /Document_viewer /
s/^Office;Publishing;.* /Document_layout /
s/^Office;WordProcessor; /Document_layout /
s/.*WebDevelopment.* /Document_layout /
s/.*Dictionary.* /Document_catalog /
s/.*PDA.* /Personal_organizer /
s/^Office;Spreadsheet; /Business_spreadsheet /
s/^Office;Chart; /Business_planner / # or new grahic ?
s/^Office;ProjectManagement; /Business_planner /
s/^Office;Finance; /Business_finance /
s/.*Calendar.* /Personal_date /
s/^Utility;Office; /Business_utility /
s/^Utility;Viewer; /Utility_Sub /
s/^Utility;Calculator; /Business_calc /

s/.*FileManager.* /Filesystem_filemanager /
s/.*System;File.* /Filesystem_Sub / # Filesystem and Filetools

# append some more
#


